/* ------------------------------- */
/*      VERSION HISTORY
/* ------------------------------- */
/*
/*  main.css - Version 1.5
/*    - main layout and all common styles
/*
/*  v1.0 - initial version 8/17/10 - bnb
/*
/* ------------------------------- */

/*---------------------------*/
/* 	Global Settings
/*---------------------------*/

body {
    background-color: #fff;
    background-repeat: repeat-x;
    color: #333333; /* dark grey */
    font-family: Helvetica, Verdana, Sans-serif;
    font-size:1em;
}

a:link, a:active, a:focus {
    color: #0000A0;
}

a:visited {
    color: #909;
}

a:hover {
    color: #008000;
    text-decoration: underline;
}

.links a {
    color: #126fff;
    font-weight: bold;
}

/* do NOT confuse field-name for form labels */
.field-name {
    font-weight: bold;
    padding-right: 10px;
}

.field-value a {
    font-size: 80%;
    font-weight: bold;
}

img { border: 0; }

a {
    outline:none;
    text-decoration:none;
}

table, tr {
    border-collapse: collapse;
    vertical-align: top;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}


/*-------------------*/
/*	STRUCTURE
/*-------------------*/
/*  page-container
/*  - leaderboard
/*  - header
/*  - header-nav
/*  - content
/*	left-sidebar
/*	main
/*	right-sidebar
/*  - footer
/*	footer-nav
/*-------------------*/

/*------------------*/
/*  Layout
/*------------------*/

#page-container {

    width: 650px;
}
main-block {
width: 500px;
}


/*------------------*/
/*  Page Container
/*------------------*/

#page-container {
background: pink;
    margin: auto;  /* centers the div but only the width is defined */
    overflow: hidden; /* prevents oversized images from breaking the layout */

}


#page-container-admin {
    background: #fff; /* dark grey */
    border: 1px solid #666666;
    margin: auto;  /* centers the div but only the width is defined */
    overflow: hidden; /* prevents oversized images from breaking the layout */
    width: 1402px; /* adding the 2 extra px make the math easier */
}


/*-------------------*/
/*	Leaderboard
/*-------------------*/

/*-----------------------*/
/* 	Header
/*-----------------------*/

#header {
    height: 125px;
}

#header h1 {
    float: left;
    font-size: 1.7em;
    font-family: Verdana;
    padding: 20px 0px 0px 40px;

}

#header p {
    float: left;
    font-family: Verdana;
    font-size: 1.4em;
    font-style: italic;
    padding-left: 40px;
}

#header .copyright{
    font-size: 60%;
    vertical-align: top;
}

#header-title a  {
    text-decoration: none;
}

#header-login {
    padding-right: 30px;
}

#header-login a {
    float: right;
    font-family: verdana;
    font-size: 80%;
    padding: 3px 6px;
}

#header-subscribe {
    float: right;
    font-size: .8em;
    margin-top: 40px;
    max-width: 240px;
    overflow: hidden;
}

#header-subscribe label {
    color: #fff;
    display: block;
    padding: 3px;
}

#header-subscribe input {
    color: #666;
    font-size: .9em;
}

#header-subscribe .submit-button {
    background-color: #ccf;
}

/*---------------------*/
/*  Header / Admin Nav
/*---------------------*/

#header-nav ul {
    margin: 5px;
    padding-left: 0px;
    white-space: nowrap;
}

#header-nav li {
    font-size: 85%;
    display: inline;
}

#header-nav a { padding: 3px 10px 3px 10px}

#header-nav a:link, #header-nav a:visited {
    background-color: #036;
    text-decoration: none;
}

#header-nav a:hover {
    background-color: #369;
    text-decoration: none;
}

#admin-nav {
    background: #eee;
    font-size: 80%;
}

#admin-nav .padding{
    padding: 10px;
}

#admin-nav td {
    border: 1px solid #666;
    padding: 8px;
}

/*--------------*/
/*  Content
/*--------------*/

#content {
    background: #fff;
    clear: both;
    margin: 20px 0;
}

#content-search {
    float: left;
    margin: 5px;
    width: 798px;
}

#content h2 {
    padding-bottom: 5px;
}

#content h3 {
    padding-bottom: 20px;
}

#content p {
    padding-bottom: 15px;
}

#content-admin {
    border: 1px solid #666;
    margin: 0px 0px 0px 4px;
    width: 99%;
}

#content-admin .padding {
    padding: 4px;
}

#content-admin label {
    font-weight: bold;
}

#content-admin .form-radio label {
    display: inline;
}

.msg-error {
    background: #ffc0cb url(../img/error-red.gif) 0px 2px no-repeat;
    color: red;
    text-indent: 25px;
    margin: 5px;
    padding: 3px;
}

.msg-success {
    background: url(../img/accept-16x16.png) 0px 2px no-repeat;
    color: green;
    font-weight: bold;
    text-indent: 25px;
    margin: 5px;
}

.msg-welcome {
    font-weight: bold;
    margin: 5px;
}

/*------------------*/
/* 	Main
/*------------------*/

.main-block {
    border: 1px solid #666;
    margin: auto;
    padding: 0 24px 24px 24px;
}


/*-----------------------*/
/* 	Sidebars
/*-----------------------*/

#sidebar {
    /* background: NONE; - it's best to let the container color the sidebar */
    float: left;
    margin-top: 12px;
    width: 350px;
}

#sidebar-search {
    /* background: NONE; - it's best to let the container color the sidebar */
    float: left;
    margin-top: 12px;
    width: 190px;
}

/* square widgets */
#sidebar-nav {
    font-size: 85%;
}

.two-column {

    border: 1px solid #666;
    clear: both;
    margin: 5px 5px 5px 0px;
    padding: 4px;
    /* width: 100%; */
}

/* one column widgets */
.one-column {

    border: 1px solid #666;
    clear: both;
    float: left;
    margin: 0px 5px 5px 0px;
    padding: 4px;
    width: 160px;
}

#sidebar .padding {
    /* padding: px 5px 5px 0px; /* add a padding class to each div to overcome IE padding bugs */
}

#sidebar h3 {padding-left: 5px;}

#sidebar ul{
    margin-left: 0;
    padding-left: 10px;
}

#sidebar-nav a:hover {
    background-color: #00f;
    color: #fff;
    display:block;
}

/*--------------*/
/*  Footer
/*--------------*/

#footer {
    clear: both; /* clear both keeps the footer below the sidebar */
    margin: 0px;
    padding: 0px;
}

#footer p {
    clear: both;
    color: #666;
    font-size: 75%;
    padding: 20px 0 30px 0;
    text-align: center;
}

#footer-nav {
    float: left;
    font-size: 75%;
    margin: 5px 0 0 50px;
}

#footer-nav h5 {

    font-size: 1em;
    padding: 0;
    margin: 0;
    text-decoration: underline;
}

#footer-nav ul {
    margin-left: 0;
    margin-top: 3px;
    padding: 0;
}

#footer-nav li {

}

#footer-nav a { padding: 3px 3px; }

#footer-nav a:hover {
    color: #fff;
    background-color: #126fff;
    text-decoration: none;
}

#footer-nav p {

    padding: 0px;
    text-decoration: underline;
}


/*-------------------*/
/*	Ads
/*-------------------*/

#ad-full{
    background: #fff;
    margin: auto;
    text-align: center;
    padding-bottom: 100px;
    width: 650px;
}

#ad-full h3{
    padding-bottom: 15px;
}

#ad-feature {
    background: #FFFFCC;
    border: 1px solid #666;
    line-height: 18px;
    width: 620px;
}

#ad-feature h3 {
    color: #000000; /* black */
    display: inline; /* keeps next text on same line */
}

#ad-feature .padding {
    padding: 3px; /* add a padding class to each div to overcome IE padding bugs */
}

/*-----------------------*/
/* 	Classes Library
/*------------------------*/

.alignleft { text-align: left; }
.aligncenter { text-align: center; }
.alignright { text-align: right; }


.bold { font-weight: bold; }
.boldred { color: #F00; font-weight: bold; }
.boldgreen { color: #060; font-weight: bold; }
.boldorange { color: #F90; font-weight: bold; }

.floatleft { float: left; }
.floatright { float: right; }

.highlightyellow { background-color: #FF0; }
.highlightgreen { background-color: #0F0; }

.width100 { width: 100%; }
.width75 { width: 75%; }
.width50 { width: 50%; }

.font80 {font-size: 80%; }
.font70 {font-size: 70%; }
.font60 {font-size: 60%; }

.hidden {
    display: none;
}

/* td & th classes */
.border {
    border-style: solid;
    border-width: 1px;
    padding: 3px;
}

.highlight-green{
    font-weight: bold;
    color: green;
    background:#DBF9DB; 
}

/*-------------------*/
/* 	Blogroll
/*-------------------*/

#blogroll {
    float: left;
    font-size: 75%;
    margin: 5px 0 0 50px;
}

#blogroll h5 {
    font-size: 1em;
    padding: 0;
    margin: 0;
    text-decoration: underline;
}

#blogroll ul {
    margin-left: 0;
    margin-top: 3px;
    padding: 0;
}

#blogroll li {

}

#blogroll a { padding: 3px 3px; }

#blogroll a:hover {
    color: #fff;
    background-color: #126fff;
    text-decoration: none;
}

#blogroll p{
    padding: 0px;
    text-decoration: underline;
}

/*-----------------------*/
/*  Comments Script
/*-----------------------*/
#comments {
    clear:both;
    background: #FFF; /* White */
    border: 1px solid #666;
    padding: 4px;
}

#comments-show {

}

#avg-rating {
    text-align: center;
}

.comm-to-date {
    font-size: 80%;
    text-align: center;
}

.comm-style {
    font-size: 90%;
}

#comments-form {

}
#comments-form table {
    background-color: #8dc3e9;
    font-size:80%;
    margin:auto;
}

#comments-heading {
    clear: both;
    text-align: center;
}

/*----------------------*/
/*  Google Search
/*----------------------*/

#google-search {
    padding: 5px;
    margin: -4px;
    text-align: center;
    background: #ce3;
}

#google-search h4 {
    margin: 0px;
}

/*-----------------------*/
/* 	Social Bookmarks
/*-----------------------*/

#social-bookmark {
    clear:both;
    padding: 3px;
    text-align:center;
}

#social-bookmark-short {
    clear:both;
    padding: 2px 0px 2px 16px;
    text-align: center;
}

#stumble-upon {
    background-color:#ffffe1;
    padding-top: 25px;
}

/*-----------------------*/
/* 	Stumbleupon
/*-----------------------*/

#stumbleupon-script  {
    border: solid 2px #FF6700;
    background: #FFE373;
    font-size: .9em;
    margin: auto;
    margin-bottom: 20px;
    padding: 10px;
    height: 50px;
    width: 350px;
}

#su-image {
    float: left;
    width: 55px;
}

#su-text {
    float: left;
    padding-top: 10px;
    text-align: center;
    width: 250px;
}

#su-thumb {
    float: right;
    padding-top: 8px;
}

/*---------------------------*/
/* 	Suggestion Box
/*---------------------------*/

.suggestion-box {
    background: #FF8;
    border: 1px solid #666;
    font-size: 90%;
    margin: 10px;
    padding: 10px;
}
